com.holonplatform.datastore.mongo.sync.internal

## Class DefaultMongoDatastore.DefaultBuilder

- java.lang.Object
- - com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore.AbstractBuilder<com.mongodb.client.MongoDatabase,SyncMongoDatastoreCommodityContext,com.mongodb.client.ClientSession,SyncMongoTransaction,DefaultMongoDatastore,MongoDatastore,MongoDatastore.Builder>
  - - com.holonplatform.datastore.mongo.sync.internal.DefaultMongoDatastore.DefaultBuilder

- All Implemented Interfaces:
    com.holonplatform.core.datastore.DatastoreOperations.Builder<MongoDatastore,MongoDatastore.Builder>, com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder<MongoDatastore.Builder>, MongoDatastoreBuilder<MongoDatastore,com.mongodb.client.ClientSession,SyncMongoTransaction,MongoDatastore.Builder>, MongoDatastore.Builder
  Enclosing class:
    DefaultMongoDatastore

      public static class DefaultMongoDatastore.DefaultBuilder
      extends com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore.AbstractBuilder<com.mongodb.client.MongoDatabase,SyncMongoDatastoreCommodityContext,com.mongodb.client.ClientSession,SyncMongoTransaction,DefaultMongoDatastore,MongoDatastore,MongoDatastore.Builder>
      implements MongoDatastore.Builder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MongoDatastore` | `build()`
    `MongoDatastore.Builder` | `client(com.mongodb.client.MongoClient client)` Set the `MongoClient` to use.
    `<C extends com.holonplatform.core.datastore.DatastoreCommodity> MongoDatastore.Builder` | `withCommodity(SyncMongoDatastoreCommodityFactory<C> commodityFactory)` Register a `SyncMongoDatastoreCommodityFactory`.

    - ### Methods inherited from class com.holonplatform.datastore.mongo.core.internal.datastore.AbstractMongoDatastore.AbstractBuilder

      `configuration, database, dataContextId, enumCodecStrategy, readConcern, readPreference, traceEnabled, transactionFactory, withCodec, withCodecProvider, withExpressionResolver, writeConcern`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.mongo.core.MongoDatastoreBuilder

      `database, enumCodecStrategy, readConcern, readPreference, transactionFactory, withCodec, withCodecProvider, writeConcern`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreOperations.Builder

      `configuration, dataContextId, traceEnabled`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverBuilder

      `withExpressionResolver`

- - ### Constructor Detail

    - #### DefaultBuilder

          public DefaultBuilder()

  - ### Method Detail

    - #### client

          public MongoDatastore.Builder client(com.mongodb.client.MongoClient client)

      Description copied from interface: `MongoDatastore.Builder`
      Set the `MongoClient` to use.
      Specified by:
        `client` in interface `MongoDatastore.Builder`
      Parameters:
        `client` - MongoClient to set (not null)
      Returns:
        this

    - #### withCommodity

          public <C extends com.holonplatform.core.datastore.DatastoreCommodity> MongoDatastore.Builder withCommodity(SyncMongoDatastoreCommodityFactory<C> commodityFactory)

      Description copied from interface: `MongoDatastore.Builder`
      Register a `SyncMongoDatastoreCommodityFactory`.
      Specified by:
        `withCommodity` in interface `MongoDatastore.Builder`
      Type Parameters:
        `C` - Commodity type
      Parameters:
        `commodityFactory` - The factory to register (not null)
      Returns:
        this

    - #### build

          public MongoDatastore build()

      Specified by:
        `build` in interface `com.holonplatform.core.datastore.DatastoreOperations.Builder<MongoDatastore,MongoDatastore.Builder>`

Copyright © 2019 The Holon Platform. All rights reserved.